> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Role

> Overview

Create a Role based on an existing role's authorities

Endpoint

POST /api/authorization/v1/roles



## OpenAPI

````yaml /openapi/product/roles-governance-api.yaml post /api/authorization/v1/roles
openapi: 3.1.0
info:
  title: Roles Governance API
  version: 1.0.0
  description: >-
    This API reference is useful if you are trying to manage Domo Roles from
    anywhere 'outside' of your Domo instance such as:


    1. Jupyter scripts

    2. Code Engine Functions

    3. Custom Java/Node/Python scripts
servers:
  - url: https://{instance}.domo.com
    variables:
      instance:
        default: YOUR_INSTANCE
        description: Domo instance subdomain
security:
  - DomoDeveloperToken: []
tags:
  - name: Roles
paths:
  /api/authorization/v1/roles:
    post:
      tags:
        - Roles Governance API
      summary: Create Role
      description: |-
        Overview

        Create a Role based on an existing role's authorities

        Endpoint

        POST /api/authorization/v1/roles
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateRoleRequest'
            examples:
              example:
                value:
                  name: string
                  description: string
                  fromRoleId: 123
      responses:
        '200':
          description: |-
            HTTP/1.1 200 OK
            Content-Type: application/json;charset=UTF-8
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RoleResponse'
components:
  schemas:
    CreateRoleRequest:
      type: object
      required:
        - name
        - description
        - fromRoleId
      properties:
        name:
          type: string
          description: The name that will be displayed for the role
        description:
          type: string
          description: Description that will be displayed for the role
        fromRoleId:
          type: integer
          description: The ID of the role to fetch
    RoleResponse:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        description:
          type: string
  securitySchemes:
    DomoDeveloperToken:
      type: apiKey
      in: header
      name: X-DOMO-Developer-Token

````